Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AntiEntropyService.TreeResponseVerbHandler

    java.lang.Object
      org.apache.cassandra.service.AntiEntropyService.TreeResponseVerbHandler

All Implemented Interfaces:
  ICompactSerializer<AntiEntropyService.Validator>, IVerbHandler

Enclosing class:
  AntiEntropyService

    public static class AntiEntropyService.TreeResponseVerbHandler

extends java.lang.Object
implements IVerbHandler, ICompactSerializer<AntiEntropyService.Validator>

Handler for responses from remote nodes which contain a valid tree. The payload is a completed Validator object from the remote endpoint.

Field Summary
`static AntiEntropyService.TreeResponseVerbHandler` | `SERIALIZER`

Constructor Summary
`AntiEntropyService.TreeResponseVerbHandler()`

Method Summary
`AntiEntropyService.Validator` | `deserialize(java.io.DataInputStream dis)` Deserialize into the specified DataInputStream instance.
`void` | `doVerb(Message message)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).
`void` | `serialize(AntiEntropyService.Validator v, java.io.DataOutputStream dos)` Serialize the specified type into the specified DataOutputStream instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZER

    public static final AntiEntropyService.TreeResponseVerbHandler SERIALIZER

Constructor Detail

### AntiEntropyService.TreeResponseVerbHandler

    public AntiEntropyService.TreeResponseVerbHandler()

Method Detail

### serialize

    public void serialize(AntiEntropyService.Validator v,
                          java.io.DataOutputStream dos)
                   throws java.io.IOException

  Description copied from interface: `ICompactSerializer`
  Serialize the specified type into the specified DataOutputStream instance.

  Specified by:
    `serialize` in interface `ICompactSerializer<AntiEntropyService.Validator>`
  Parameters:
    `v` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public AntiEntropyService.Validator deserialize(java.io.DataInputStream dis)
                                             throws java.io.IOException

  Description copied from interface: `ICompactSerializer`
  Deserialize into the specified DataInputStream instance.

  Specified by:
    `deserialize` in interface `ICompactSerializer<AntiEntropyService.Validator>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### doVerb

    public void doVerb(Message message)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation